# ChangeLog for net-misc/rsync
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-misc/rsync/ChangeLog,v 1.88 2006/04/08 00:51:46 vapier Exp $

*rsync-2.6.7-r1 (08 Apr 2006)

  08 Apr 2006; Mike Frysinger <vapier@gentoo.org> -rsync-2.6.7.ebuild,
  +rsync-2.6.7-r1.ebuild:
  Fix acl/xattr configure options #129116 by Alexander Skwar.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> rsync-2.6.7.ebuild:
  Add ~x86-fbsd keyword.

*rsync-2.6.7 (16 Mar 2006)

  16 Mar 2006; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.7.ebuild:
  Version bump #126267 by Kilburn Abrahams.

  02 Jan 2006; Mike Frysinger <vapier@gentoo.org> +files/rsyncd.xinetd,
  rsync-2.6.0-r6.ebuild, rsync-2.6.6-r1.ebuild:
  Add an optional xinetd.d file by Malte S. Stretz #117466.

*rsync-2.6.6-r1 (17 Oct 2005)

  17 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/rsync-2.6.6-acls.patch, +rsync-2.6.6-r1.ebuild:
  Fix from upstream for acl code #100981.

  13 Oct 2005; Kito <kito@gentoo.org> rsync-2.6.6.ebuild:
  ~ppc-macos keyword

  16 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

*rsync-2.6.0-r6 (01 Aug 2005)

  01 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +files/rsync-2.6.0-cvsignore.patch, +rsync-2.6.0-r6.ebuild:
  Add patch from upstream to fix -C #100861 by awk.

*rsync-2.6.6 (29 Jul 2005)

  29 Jul 2005; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.6.ebuild:
  Version bump #100674 by Tim Yamin.

*rsync-2.6.5 (11 Jun 2005)

  11 Jun 2005; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.5.ebuild:
  Version bump.

*rsync-2.6.0-r5 (31 May 2005)

  31 May 2005; Chris Gianelloni <wolf31o2@gentoo.org>
  +files/rsync-2.6.0-livecd-sigmask.patch, +rsync-2.6.0-r5.ebuild:
  Adding rsync patch for livecd/installer until python 2.4 goes stable.

*rsync-2.6.4 (06 Apr 2005)

  06 Apr 2005; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.4.ebuild:
  Version bump #88029 by FieldySnuts.

*rsync-2.6.3-r1 (18 Mar 2005)

  18 Mar 2005; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.3-r1.ebuild:
  Move the rsyncd.conf file to /etc.

*rsync-2.6.0-r4 (18 Mar 2005)

  18 Mar 2005; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.0-r4.ebuild:
  Move the rsyncd.conf file to /etc and add some examples to the default
  config #80939.

  21 Nov 2004; Mike Frysinger <vapier@gentoo.org> rsync-2.6.0-r3.ebuild,
  rsync-2.6.3.ebuild:
  Make sure we update the rsync(1) manpage with the new .conf location too
  #71650 by Paul Oldham.

*rsync-2.6.3 (03 Oct 2004)

  03 Oct 2004; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.3.ebuild:
  Version bumpage.

*rsync-2.6.3_pre2 (25 Sep 2004)

  25 Sep 2004; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.3_pre2.ebuild:
  Version bump #64798 by Holger Hoffstätte.

  15 Aug 2004; <kloeri@gentoo.org> rsync-2.6.0-r3.ebuild:
  Stable on alpha, bug 60309.

  14 Aug 2004; Hardave Riar <hardave@gentoo.org> rsync-2.6.0-r3.ebuild:
  stable on mips #60309

  14 Aug 2004; Tom Gal <tgall@gentoo.org> rsync-2.6.0-r3.ebuild
  stable on ppc64, bug #60309

*rsync-2.6.0-r3 (14 Aug 2004)

*rsync-2.6.2-r4 (14 Aug 2004)

  14 Aug 2004; Jon Hood <squinky86@gentoo.org>
  +files/rsync-pathsanitize.patch, rsync-2.6.0-r2.ebuild,
  +rsync-2.6.0-r3.ebuild, +rsync-2.6.2-r4.ebuild:
  Apply path sanitizing patch from #60309, update SRC_URI for older versions of
  rsync; thanks wernfried haas <w.haas@xover.htu.tuwien.ac.at>!

  13 Jul 2004; Tom Gall <tgall@gentoo.org> rsync-2.6.0-r2.ebuild:
  stable on ppc64

  12 Jul 2004; Travis Tilley <lv@gentoo.org> rsync-2.6.0-r2.ebuild:
  stable on amd64

  11 Jul 2004; Aron Griffis <agriffis@gentoo.org> rsync-2.6.0-r2.ebuild,
  rsync-2.6.2-r3.ebuild:
  stable on ia64

  10 Jul 2004; Hardave Riar <hardave@gentoo.org> rsync-2.6.0-r2.ebuild:
  Stable on mips

  11 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> rsync-2.6.0-r2.ebuild:
  Stable on alpha, bug 49534.

  10 Jul 2004; Ian Leitch <port001@gentoo.org> rsync-2.6.0-r2.ebuild:
  Marked stable on x86

  10 Jul 2004; Jason Wever <weeve@gentoo.org> rsync-2.6.0-r2.ebuild:
  Stable on sparc wrt bug #49543.

  10 Jul 2004; Michael Hanselmann <hansmi@gentoo.org> rsync-2.6.0-r2.ebuild:
  Stable on ppc. Bug 49534.

*rsync-2.6.0-r2 (09 Jul 2004)

  09 Jul 2004; Mike Frysinger <vapier@gentoo.org> +files/2.6.0-sanitize.patch,
  +rsync-2.6.0-r2.ebuild:
  Version bump with security patch #49534.

  01 Jul 2004; Jon Hood <squinky86@gentoo.org> rsync-2.6.0-r1.ebuild,
  rsync-2.6.0.ebuild, rsync-2.6.1.ebuild, rsync-2.6.2-r1.ebuild,
  rsync-2.6.2-r2.ebuild, rsync-2.6.2-r3.ebuild, rsync-2.6.2.ebuild:
  change virtual/glibc to virtual/libc

*rsync-2.6.1 (22 Jun 2004)

  22 Jun 2004; Mike Frysinger <vapier@gentoo.org> +rsync-2.6.1.ebuild:
  Try to fix security bug #49534 without pissing off #49933.

*rsync-2.6.2-r3 (08 May 2004)

  08 May 2004; Martin Holzer <mholzer@gentoo.org> rsync-2.6.2-r3.ebuild:
  adding ipv6 config option

*rsync-2.6.2-r2 (03 May 2004)

  03 May 2004; Martin Holzer <mholzer@gentoo.org> rsync-2.6.2-r2.ebuild:
  adding rsyncd conf in econf. closes 49707

  02 May 2004; Bryan Østergaard <kloeri@gentoo.org> rsync-2.6.2-r1.ebuild:
  Stable on alpha.

  02 May 2004; Tom Gall <tgall@gentoo.org> rsync-2.6.2.ebuild,
  rsync-2.6.2-r1.ebuild:
  Stable on ppc64

  02 May 2004; Ciaran McCreesh <ciaranm@gentoo.org> rsync-2.6.2-r1.ebuild:
  Stable on sparc, mips

  02 May 2004; Joshua Kinard <kumba@gentoo.org> rsync-2.6.2.ebuild:
  Marked stable on sparc.

  01 May 2004; Guy Martin <gmsoft@gentoo.org> :
  Marked stable on hppa.

  01 May 2004; Jon Portnoy <avenj@gentoo.org> rsync-2.6.2.ebuild :
  Stable on AMD64 and x86.

  01 May 2004; Joshua Kinard <kumba@gentoo.org> rsync-2.6.2.ebuild:
  Marked stable on mips.

*rsync-2.6.2-r1 (02 May 2004)

  02 May 2004; Martin Holzer <mholzer@gentoo.org> rsync-2.6.2-r1.ebuild:
  adding acl patch again.

  01 May 2004; Michael McCabe <randy@gentoo.org> rsync-2.6.2.ebuild:
  Stable on s390

*rsync-2.6.2 (30 Apr 2004)

  30 Apr 2004; <solar@gentoo.org> rsync-2.6.2.ebuild:
  version bump for security update CAN-2004-0426, bug 49534 this version also
  seems to have the proxy-auth patch merged upstream, USE=acl disabled for now
  due to patching conflicts

  27 Apr 2004; Michael McCabe <randy@gentoo.org> rsync-2.6.0-r1.ebuild:
  Marked stable on s390

*rsync-2.6.0-r1 (19 Apr 2004)

  19 Apr 2004; Martin Holzer <mholzer@gentoo.org> rsync-2.6.0-r1.ebuild:
  adding acl patch. closes 48214

  11 Apr 2004; Michael Sterrett <mr_bones_@gentoo.org> rsync-2.6.0.ebuild:
  add patch from Sascha Silbe to fix use static linking (bug #47361)

  11 Apr 2004; Michael Sterrett <mr_bones_@gentoo.org> rsync-2.6.0.ebuild:
  add IUSE (bug #47358); don't rdepend on sed; error check sed; tidy

*rsync-2.6.0 (03 Jan 2004)

  03 Jan 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bumpage #37009.

*rsync-2.5.7 (04 Dec 2003)

  04 Dec 2003; Seemant Kulleen <seemant@gentoo.org> rsync-2.5.7.ebuild:
  version bump for security vulnerability

*rsync-2.5.6-r4 (18 Oct 2003)

  18 Oct 2003; Mike Frysinger <vapier@gentoo.org> :
  Set default rsh cmd to ssh instead of rsh #30521.

*rsync-2.5.6-r3 (25 Aug 2003)

  26 Aug 2003; Daniel Ahlberg <aliz@gentoo.org> rsync-2.5.6-r3.ebuild :
  Don't try to unpack the patch.

  25 Aug 2003; Mike Frysinger <vapier@gentoo.org> :
  Add default rsyncd.conf file so that the init.d script will find pid file #27277.

*rsync-2.5.6-r2 (23 May 2003)

  23 Jul 2003; Will Woods <wwoods@gentoo.org> rsync-2.5.6-r2.ebuild:
  Marked stable for alpha

  23 Jul 2003; Guy Martin <gmsoft@gentoo.org> rsync-2.5.6-r2.ebuild :
  Marked stable on hppa.

  06 Jul 2003; Joshua Kinard <kumba@gentoo.org> rsync-2.5.6-r2.ebuild:
  Changed ~mips to mips in KEYWORDS
  Changed ~sparc to sparc in KEYWORDS (Apparently already done, somehow got reversed?)

  24 May 2003; Luca Barbato <lu_zero@gentoo.org> rsync-2.5.6-r2.ebuild:
  added ~ppc keyword

  23 May 2003; Martin Holzer <mholzer@gentoo.org> rsync-2.5.6-r2.ebuild,
  files/rsync-gentoo-2.5.1.patch, files/rsync-gentoo-2.5.2.patch:
  Adding basic proxy auth patch. Closes #11706.

  21 May 2003; Jason Wever <weeve@gentoo.org> rsync-2.5.6-r1.ebuild:
  Changed ~sparc keyword to sparc.

  06 Mar 2003; Luca Barbato <lu_zero@gentoo.org> :
  force -lpthread link on gcc-2.95.x, solves bug #16921
  
  24 Feb 2003; Luca Barbato <lu_zero@gentoo.org> :
  Added the popt in DEPEND

*rsync-2.5.6-r1 (22 Feb 2003)

  19 May 2003; Joshua Kinard <kumba@gentoo.org> rsync-2.5.6-r1.ebuild:
  Added ~sparc and ~mips to KEYWORDS

  25 Feb 2003; Guy Martin <gmsoft@gentoo.org> rsync-2.5.6-r1.ebuild :
  Commited stable for hppa.

  22 Feb 2003; Mike Frysinger <vapier@gentoo.org> :
  Add init.d and conf.d files

*rsync-2.5.6 (28 Jan 2003)

  21 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> :
  Added hppa to keywords.

  28 Jan 2003; Arcady Genkin <agenkin@gentoo.org> :
  Updated to the official 2.5.6.
	
*rsync-2.5.6_pre20021105-r1 (29 Dec 2002)

  29 Dec 2002; Maik Schreiber <blizzy@gentoo.org> : Revision bump to fix wrong
  configuration directory path (only used for running an rsync server).

  26 Dec 2002; Maik Schreiber <blizzy@gentoo.org> rsync-2.5.6_pre20021105 :
  Changed "~x86" to "x86" in KEYWORDS.

  19 Dec 2002; Dean Bailey <alron@gentoo.org> : removed sparc64 keyword

*rsync-2.5.6_pre20021105 (10 Dec 2002)

  10 Dec 2002; Maik Schreiber <blizzy@gentoo.org> : New upstream snapshot.
  Seems to be stable for several months now (see rsync mailing list).

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*rsync-2.5.5-r1 (07 May 2002)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  29 Jul 2002; Mark Guertin <gerk@gentoo.org> :
  Added ppc to keywords

  09 Jul 2002; phoen][x <phoenix@gentoo.org> rsync-2.5.5-r1.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  07 May 2002; Kain <kain@kain.org> rsync-2.5.5-r1.ebuild : Fix dependency to
  libpopt again so that build images not made from a virgin install will work.

*rsync-2.5.5 (02 May 2002)

  09 Jul 2002; phoen][x <phoenix@gentoo.org> rsync-2.5.5.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  02 May 2002; Daniel Robbins <drobbins@gentoo.org>: new ebuild to hopefully
  fix some "dead rsync --daemon" processes... the problem that just won't go
  away.

*rsync-2.5.4-r1 (18 Apr 2002)

  09 Jul 2002; phoen][x <phoenix@gentoo.org> rsync-2.5.4-r1.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  18 Apr 2002; kain <kain@kain.org> rsync-2.5.4-r1.ebuild : Fix dependency to
  libpopt so build images made with this will work.

*rsync-2.5.4 (15 Mar 2002)

  09 Jul 2002; phoen][x <phoenix@gentoo.org> rsync-2.5.4.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  15 Mar 2002; Bruce A. Locke <blocke@shivan.org> rsync-2.5.4.ebuild :
  Update to 2.5.4 (with zlib security fix)

*rsync-2.5.2-r1 (1 Mar 2002)

  09 Jul 2002; phoen][x <phoenix@gentoo.org> rsync-2.5.2-r1.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  1 Mar 2002; Daniel Robbins <drobbins@gentoo.org> : Closed remote denial of
  service attack/hung process problem reopened in 2.5.2 due to a missing patch.

*rsync-2.5.2 (1 Feb 2002)

  09 Jul 2002; phoen][x <phoenix@gentoo.org> rsync-2.5.2.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
